package ru.micord.ervu.account_applications.service.processor;

/**
 * @author Adel Kalimullin
 */
public interface DataProcessor<T, R> {
  void upsertData(T data);

  void changeActiveStatus(String id, boolean active);

  Class<T> getType();

  R mapToRecord(T data);
}